JMeterTreeNode (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.tree, class: JMeterTreeNode

Package org.apache.jmeter.gui.tree

# Class JMeterTreeNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
org.apache.jmeter.gui.tree.JMeterTreeNode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MutableTreeNode`, `TreeNode`, `NamedTreeNode`

public class JMeterTreeNode extends DefaultMutableTreeNode implements NamedTreeNode

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

  `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterTreeNode()`
  `JMeterTreeNode(org.apache.jmeter.testelement.TestElement userObj, JMeterTreeModel treeModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JPopupMenu`
  `createPopupMenu()`
  `String`
  `getDocAnchor()`
  `ImageIcon`
  `getIcon()`
  `ImageIcon`
  `getIcon(boolean enabled)`
  `Collection<String>`
  `getMenuCategories()`
  `String`
  `getName()`
  `List<JMeterTreeNode>`
  `getPathToThreadGroup()`
  Return nodes to level 2
  `String`
  `getStaticLabel()`
  `org.apache.jmeter.testelement.TestElement`
  `getTestElement()`
  `boolean`
  `isChildrenMarkedBySearch()`
  Node has children marked by search
  `boolean`
  `isEnabled()`
  `boolean`
  `isMarkedBySearch()`
  Node is markedBySearch by a search
  `void`
  `nameChanged()`
  `void`
  `setChildrenNodesHaveMatched(boolean tagged)`
  One of the children of this node have matched a search
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setMarkedBySearch(boolean tagged)`
  Tag Node as result of a search
  `void`
  `setName(String name)`

  ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

  `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMeterTreeNode

    public JMeterTreeNode()

  - ### JMeterTreeNode

    public JMeterTreeNode(org.apache.jmeter.testelement.TestElement userObj, JMeterTreeModel treeModel)

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getPathToThreadGroup

    public List<JMeterTreeNode> getPathToThreadGroup()
    Return nodes to level 2
    Returns:
      `List` of `JMeterTreeNode`s

  - ### setChildrenNodesHaveMatched

    public void setChildrenNodesHaveMatched(boolean tagged)
    One of the children of this node have matched a search
    Parameters:
      `tagged` - true if we must tag

  - ### setMarkedBySearch

    public void setMarkedBySearch(boolean tagged)
    Tag Node as result of a search
    Parameters:
      `tagged` - The flag to be used for tagging

  - ### isMarkedBySearch

    public boolean isMarkedBySearch()
    Node is markedBySearch by a search
    Returns:
      true if marked by search

  - ### isChildrenMarkedBySearch

    public boolean isChildrenMarkedBySearch()
    Node has children marked by search
    Returns:
      boolean are children marked by search

  - ### getIcon

    public ImageIcon getIcon()

  - ### getIcon

    public ImageIcon getIcon(boolean enabled)

  - ### getMenuCategories

    public Collection<String> getMenuCategories()

  - ### createPopupMenu

    public JPopupMenu createPopupMenu()

  - ### getTestElement

    public org.apache.jmeter.testelement.TestElement getTestElement()

  - ### getStaticLabel

    public String getStaticLabel()

  - ### getDocAnchor

    public String getDocAnchor()

  - ### setName

    public void setName(String name)
    Specified by:
      `setName` in interface `NamedTreeNode`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `NamedTreeNode`

  - ### nameChanged

    public void nameChanged()
    Specified by:
      `nameChanged` in interface `NamedTreeNode`